<template>
  <main class="fr-container">
    <AtomLoader class="loader" />
  </main>
</template>

<script setup lang="ts">
  import { Routes } from '~/utils/routing/routes'

  definePageMeta({ layout: 'landing' })
  const route = useRoute()

  const redirectUrl = computed(() => {
    return typeof route.query.redirectUrl === 'string'
      ? route.query.redirectUrl
      : Routes.Overview
  })

  onMounted(() => {
    // FIXME : This allows to run the skip-auth middleware. When authentication will be handled by cookies, the SSO redirection could leads to login directly
    const query: { [key: string]: string | null } = { continue: null }
    if (redirectUrl.value) query.redirectUrl = redirectUrl.value
    return navigateTo({
      replace: true,
      path: Routes.Login,
      query
    })
  })
</script>

<style scoped>
  .loader {
    margin: 0 auto;
  }
</style>
